> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kua.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Custom Product

> Create a Custom Product from your product specification



## OpenAPI

````yaml weaver POST /products/custom
openapi: 3.0.2
info:
  title: Kua.ai Weaver API
  version: '1.0'
servers:
  - url: https://api.kua.ai/weaver/api/v2
security: []
paths:
  /products/custom:
    post:
      summary: Create Custom Product
      description: Create a Custom Product from your product specification
      operationId: CreateCustomProduct
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateCustomProductRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CustomProduct'
components:
  schemas:
    CreateCustomProductRequest:
      properties:
        brand:
          default: ''
          type: string
        description:
          default: ''
          type: string
        feature:
          default: ''
          type: string
        images:
          items:
            type: string
          type: array
        keywords:
          items:
            type: string
          type: array
        link:
          default: ''
          type: string
        mainImage:
          default: ''
          type: string
        specification:
          default: ''
          type: string
        title:
          default: ''
          type: string
        videos:
          items:
            type: string
          type: array
      title: CreateCustomProductRequest
      type: object
    CustomProduct:
      properties:
        brand:
          type: string
        createdAt:
          type: integer
        description:
          type: string
        feature:
          type: string
        genre:
          allOf:
            - $ref: '#/components/schemas/ProductGenre'
          default: Custom
        id:
          type: string
        images:
          items:
            type: string
          type: array
        keywords:
          items:
            type: string
          type: array
        link:
          type: string
        mainImage:
          type: string
        specification:
          type: string
        tags:
          items:
            type: string
          type: array
        title:
          type: string
        updatedAt:
          type: integer
        videos:
          items:
            type: string
          type: array
      required:
        - id
        - title
        - brand
        - description
        - specification
        - feature
        - mainImage
        - link
        - createdAt
        - updatedAt
      type: object
    ProductGenre:
      enum:
        - Custom
        - Amazon
      title: ProductGenre
      type: string

````